# $Revision: 1.19 $, $Date: 2008/04/09 07:21:40 $
%define plugins_ver 0.90
%define plugins_lfc_ver 0.90
Summary:	Games for children with plugins
Summary(pl.UTF-8):	Gry dla dzieci z wtyczkami
Name:		childsplay
Version:	0.90.2
Release:	2
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/childsplay/%{name}-%{version}.tgz
# Source0-md5:	c306702a2e79a861a3f18cb90ff91412
Source1:	http://dl.sourceforge.net/childsplay/%{name}_plugins-%{plugins_ver}.tgz
# Source1-md5:	2abd77c938ce4297c3a6190637833ca5
Source2:	http://dl.sourceforge.net/childsplay/%{name}_plugins_lfc-%{plugins_lfc_ver}.tgz
# Source2-md5:	123b24a0af50cda07f8c6869d6f939ff
Source3:        %{name}.desktop
Patch0:		%{name}-install.patch
URL:		http://childsplay.sourceforge.net/
%pyrequires_eq	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python-pygame >= 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Childsplay is a 'suite' of educational games for young children, like
gcompris, but without the overkill of C/C++ and the GNOME environment.
Also the use of the SDL libraries makes smooth animation and the
playing of sound very easy.

%description -l pl.UTF-8
Childsplay to zestaw gier edukacyjnych dla małych dzieci, podobnie do
gcompris. Jest jednak napisana bez narzutu C/C++ i środowiska GNOME -
w Pythonie, z użyciem biblioteki SDL, co czyni animacje płynnymi i
odtwarzanie dźwięku bardzo łatwym.

%prep
%setup -q -a1 -a2
%patch0 -p1

cat <<'EOF' >childsplay.sh
#!/bin/sh
exec python %{_datadir}/childsplay/childsplay.pyc $@
EOF

cat <<'EOF' >BASEPATH.py
BASEPATH = "%{_prefix}"
EXECDIR = "%{_bindir}"
LOCALEDIR = "%{_datadir}/locale"
ASSETMLDIR = "%{_datadir}/assetml"
SCOREDIR = "/var/games/"
SCOREFILE = "/var/games/childsplay.score"
DOCDIR =  "%{_docdir}/childsplay"
MANDIR = "%{_mandir}/man6"
CPDIR = "%{_datadir}/childsplay"
SHAREDIR = "%{_datadir}/childsplay"
BINDIR = "%{_bindir}"
LIBDIR = "%{_datadir}/childsplay/lib"
MODULESDIR = "%{_datadir}/childsplay/lib"
SHARELIBDATADIR = "%{_datadir}/childsplay/lib"
SHAREDATADIR = "%{_datadir}/childsplay/Data"
RCDIR = "%{_datadir}/childsplay/lib/ConfigData"
CHILDSPLAYRC = "childsplayrc"
HOME_DIR_NAME = ".childsplayrc"
EOF

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}{/%{name}/lib/{ConfigData,MemoryData},locale,assetml} \
        $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir},%{_mandir}/man6,/var/games}

install -Dp childsplay.sh $RPM_BUILD_ROOT%{_bindir}/childsplay
gzip -dc man/childsplay.6.gz >$RPM_BUILD_ROOT%{_mandir}/man6/childsplay.6

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install Data/logo_cp_32x32.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

cp -fr Data/childsplay.score $RPM_BUILD_ROOT/var/games/%{name}.score
cp -fr *.py $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -fr Data/ $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -fr lib $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -fr locale $RPM_BUILD_ROOT%{_datadir}
cp -fr assetml $RPM_BUILD_ROOT%{_datadir}

cd childsplay_plugins-%{plugins_ver}
cp -fr lib/* $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
cp -fr Data/*.icon.png $RPM_BUILD_ROOT%{_datadir}/%{name}/Data/icons
cp -fr Data/AlphabetSounds $RPM_BUILD_ROOT%{_datadir}/%{name}/Data
cp -fr assetml/childsplay $RPM_BUILD_ROOT%{_datadir}/assetml
%{__python} add-score.py $RPM_BUILD_ROOT/var/games/ "Packid,Numbers"
cd ..

cd childsplay_plugins_lfc-%{plugins_lfc_ver}
cp -fr lib/* $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
cp -fr Data/*.icon.png $RPM_BUILD_ROOT%{_datadir}/%{name}/Data/icons
cp -fr assetml/childsplay $RPM_BUILD_ROOT%{_datadir}/assetml
cd ..


%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

find  $RPM_BUILD_ROOT%{_datadir} -maxdepth 2 -name "*.py" | xargs rm
find  $RPM_BUILD_ROOT%{_datadir}/%{name}/lib -name "*.py[c,o]" | xargs rm

rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/BASEPATH.py*
cp BASEPATH.py $RPM_BUILD_ROOT%{_datadir}/%{name}

mv $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README* doc/README* doc/Changelog
%{_mandir}/man6/*
%{_datadir}/%{name}
# XXX: shared with gcompris
%dir %{_datadir}/assetml
%{_datadir}/assetml/*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%attr(664,root,games) %config(noreplace) %verify(not md5 mtime size) /var/games/%{name}.score
%attr(2755,root,games) %{_bindir}/childsplay

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: childsplay.spec,v $
Revision 1.19  2008/04/09 07:21:40  ankry
- Norwegian translation fix, rel. 2

Revision 1.18  2008-04-08 19:29:51  glen
- no locale todo

Revision 1.17  2008-01-18 01:15:12  lisu
- updated to 0.90.2

Revision 1.16  2007-08-27 21:16:32  lisu
- up to 0.90.1
- plugins and plugins_lfc updated to 0.90 version
- GPL v2+ -> GPL v3+

Revision 1.15  2007/06/20 23:09:16  lisu
- BR: rpm-pythonprov

Revision 1.14  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.12  2007/01/28 23:36:14  lisu
- plugins and plugins_lfc up to 0.85.2

Revision 1.11  2006/12/08 08:26:52  lisu
- 0.85.1
- plugins updated to 0.85 version
- License GPL v2+

Revision 1.10  2006/10/27 22:31:12  lisu
- 0.84.1
- childsplay.png removed (there is one in sources)

Revision 1.9  2006/10/23 17:48:19  lisu
- updated to 0.84
- plugins updated

Revision 1.8  2006/08/15 14:17:22  rotom
- childsplay up to 0.82.2
- plugins up to 0.82.1
- plugins-lfc up to 0.80.4

Revision 1.7  2006/02/19 11:20:10  qboosh
- added missing assetml dir (note: shared with gcompris)

Revision 1.6  2006/02/18 07:15:12  piti
- up to 0.81.7
- new module added childsplay_plugins_lfc
- modules should not be compiled, otherwise do not work. Fixed.

Revision 1.5  2006/01/23 19:37:43  jajcus
- desktop file and icon added
- more explicit paths in BASEPATH.py

Revision 1.4  2006/01/20 18:57:25  piti
- up to 0.81.5 and plugins to 0.80.6
- BASEPATH.py should not be compiled, fixed

Revision 1.3  2006/01/20 12:22:22  qboosh
- unified, desc cosmetics
- NOTE: sgid for python scripts won't work

Revision 1.2  2006/01/18 21:38:06  jajcus
- SourceX-md5 added
- *-devel BR removed -- not needed for pure python software
- R: python-modules
- BuildArch: noarch  (no packages files seem architecture-dependent)
- data and library files moved to %{_datadir}, as not architecture-dependent
- python modules compilation using %py_comp macros
- %find_lang for localized files
- scores file packaged, binary sgid-games for write access to the file

Revision 1.1  2006/01/18 20:58:00  jajcus
- new spec by robert.tomasik, fixes will follow
